<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.elephant.framework.galaxy.aroad.module.zhjs.mapper.ZhjsGchtMapper">

  <resultMap id="zhjsGchtMap" type="com.elephant.framework.galaxy.aroad.module.zhjs.entity.ZhjsGcht">
        <id property="id" column="id"/>
        <result property="code" column="code"/>
        <result property="name" column="name"/>
        <result property="type" column="type"/>
        <result property="unitname" column="unitName"/>
        <result property="principal" column="principal"/>
        <result property="signdate" column="signDate"/>
        <result property="conamount" column="conamount"/>
        <result property="buildunit" column="buildunit"/>
        <result property="supervisorunit" column="supervisorunit"/>
        <result property="startstation" column="startStation"/>
        <result property="endstation" column="endStation"/>
        <result property="conlength" column="conlength"/>
        <result property="conlocation" column="conlocation"/>
        <result property="planstartdate" column="planstartdate"/>
        <result property="planenddate" column="planenddate"/>
        <result property="startdate" column="startdate"/>
        <result property="enddate" column="enddate"/>
        <result property="createdate" column="createdate"/>
        <result property="proid" column="proId"/>
        <result property="xy" column="xy"/>
        <result property="filelist" column="fileList"/>
  </resultMap>
</mapper>
